curl --request PUT \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid} \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"notes": "<string>",
"appointmentStartDateTime": "1970-01-01T00:00:00.000Z",
"appointmentEndDateTime": "1970-01-01T00:00:00.000Z",
"company": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"appointmentDateTime": "1970-01-01T00:00:00.000Z",
"address1": "<string>",
"address2": "<string>",
"place": "<string>",
"region": "<string>",
"country": "<string>",
"locationLatitude": "<string>",
"locationLongitude": "<string>",
"postalCode": "<string>"
}
'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}"
payload = {
"notes": "<string>",
"appointmentStartDateTime": "1970-01-01T00:00:00.000Z",
"appointmentEndDateTime": "1970-01-01T00:00:00.000Z",
"company": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"appointmentDateTime": "1970-01-01T00:00:00.000Z",
"address1": "<string>",
"address2": "<string>",
"place": "<string>",
"region": "<string>",
"country": "<string>",
"locationLatitude": "<string>",
"locationLongitude": "<string>",
"postalCode": "<string>"
}
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notes: '<string>',
appointmentStartDateTime: '1970-01-01T00:00:00.000Z',
appointmentEndDateTime: '1970-01-01T00:00:00.000Z',
company: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
appointmentDateTime: '1970-01-01T00:00:00.000Z',
address1: '<string>',
address2: '<string>',
place: '<string>',
region: '<string>',
country: '<string>',
locationLatitude: '<string>',
locationLongitude: '<string>',
postalCode: '<string>'
})
};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Reschedule Exam Session
Changes the scheduled date/time for an existing exam session.
The auth token is passed for proctor reassignment and auditing.
Authorizations
Path Parameters
Install Sid
^AI[a-f0-9]{32}$Exam Sid
^EX[a-f0-9]{32}$Exam Session Sid
^ES[a-f0-9]{32}$Body
Exam session reserve payload
Type of the system
b-virtual, ad-hoc, register-blast, proctoru, examity, smarter-scheduling Notes regarding session
The GMT timestamp when the session is to be started
.*Z"1970-01-01T00:00:00.000Z"
The GMT timestamp when the session is to be end
.*Z"1970-01-01T00:00:00.000Z"
The company of the proctor, maps to proctor_company__c
The first name of the proctor, maps to proctor_first_name__c
The last name of the proctor, maps to proctor_last_name__c
The email address of the proctor, maps to proctor_email__c
The phone number for the proctor, maps to proctor_phone__c
The appointment date/time. maps to appointment_date__c
.*Z"1970-01-01T00:00:00.000Z"
Ad-hoc proctor address line 1
Ad-hoc proctor address line 2
Ad-hoc proctor place
Ad-hoc proctor region
Ad-hoc proctor country
Ad-hoc proctor location latitude
Ad-hoc proctor location longitude
Ad-hoc proctor postal code
Response
Successful
The response is of type string.
Was this page helpful?
